Skip to main content
GET
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
units
/
{unitUuid}
/
overlock-code
Get the active overlock codes for a unit
curl --request GET \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/units/{unitUuid}/overlock-code \
  --header 'x-api-key: <x-api-key>'
[
  {
    "lockCode": "5555",
    "externalLockId": "86U7U7U2",
    "provider": "DaVinci",
    "unitUuid": "<string>",
    "unitRentalRecordUuid": "<string>"
  }
]

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Facility UUID

unitUuid
string
required

Unit UUID

Response

Active overlock codes retrieved successfully

lockCode
string
required

The active overlock/physical-lock code for the unit

Example:

"5555"

externalLockId
string
required

The external (provider) lock identifier

Example:

"86U7U7U2"

provider
string
required

The physical lock provider

Example:

"DaVinci"

unitUuid
string
required

UUID of the unit

unitRentalRecordUuid
string | null
required

UUID of the unit rental record the lock is associated with, or null (e.g. a lock on a vacant unit)